#pragma once

#include "core/system/System.h"
#include "core/input/Input.h"
#include "core/ressources/Ressources.h"

namespace Core {

//jaja, ich weiss...kernkern... doppeltgemoppelt
class CoreKernel
{
  public:
    CoreKernel(void);
    ~CoreKernel(void);

    void update( const float _secs );

  private:
    static void reset();
    static void init();
    static void deinit();

    System      m_system;
    Ressources  m_ressources;
    Input       m_input;
};

}; //Logic