#pragma once

#include "core/pattern/Observer.h"

#include "Tiles.h"

namespace Data {

class World
{
  public:
    World(void);
    ~World(void);

    static void init();
    static void deinit();

    static bool import( const std::string& _file );

    static void update( const float _secs );

    static const Tiles& tiles();
};

}; //Data