#pragma once

#include "render/RenderKernel.h"
#include "logic/LogicKernel.h"

namespace App {

class AppKernel
{
  public:
    AppKernel( Render::RenderKernel& _renderKernel, Logic::LogicKernel& _logicKernel );
    ~AppKernel(void);

    void update( float _secs );

  private:
    static void reset();
    static void init();
    static void deinit();

    Render::RenderKernel& m_renderKernel;
    Logic::LogicKernel&   m_logicKernel;

};

}; //Logic