#ifndef CORE_INPUTTABLE_H_
#define CORE_INPUTTABLE_H_

#include <map>
#include "Input.h"

namespace Core {

enum CommandState
{
  INVALID = 0,
  ACTIVE,
  INACTIVE,
  PRESSED,
  RELEASED
};

typedef std::map<Input::Command, CommandState> CommandStates;

class InputTable
{
  public:
    InputTable( void );
    ~InputTable( void );
  
    void getCommandStates( CommandStates& _commandStates);

};

}; //Core

#endif //CORE_INPUTTABLE_H_