#include "Direction.h"

using namespace Core;

Int2d
Direction::toOffset() const
{
  Int2d offset( 0, 0 );

  switch( m_value )
  {
    case UP     : offset.y() = -1; break;
    case DOWN   : offset.y() =  1; break;
    case LEFT   : offset.x() = -1; break;
    case RIGHT  : offset.x() =  1; break;
  }

  return offset;
}


void
Direction::rotate()
{
  switch( m_value )
  {
    case UP     : m_value = LEFT; break;
    case LEFT   : m_value = DOWN; break;
    case DOWN   : m_value = RIGHT; break;
    case RIGHT  : m_value = UP; break;
  }
}
