#include "BombermanBrain.h"

#include "data/entity/Creature.h"
#include "data/world/World.h"

using namespace Logic;
using Data::Brain;
using Data::Creature;

BombermanBrain::BombermanBrain( Creature* _body ) :
  Brain ( _body )
{
  m_state = 1;
}

BombermanBrain::~BombermanBrain(void)
{
}

void
BombermanBrain::update( const float& _secs )
{
  Brain::defaultMove();
}
