#pragma once

#include "data/DataKernel.h"

namespace Render {

class Drawable;

class RenderKernel
{
  public:
    RenderKernel( Data::DataKernel& _dataKernel );
    ~RenderKernel(void);

    void update( const float _secs );

    static void registerObject( Drawable* _object );
    static void unregisterObject( Drawable* _object );

  private:
    Data::DataKernel& m_dataKernel;
};

}; //Render